﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Vevo.Domain.Products;
using Vevo.Domain.Base;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IManufacturerRepository
    {
        Manufacturer Save( Manufacturer manufacturer );
        void Delete( string manufacturerID );
        void DeleteLocales( string manufacturerID );
        IList<ILocale> GetLocales( string manufacturerID );
        void DeleteAll();
        Manufacturer GetOne( Culture culture, string manufacturerID);
        String GetManufacturerIDFromManufacturerName( string manufacturerName );
        IList<Manufacturer> GetAll( Culture culture, BoolFilter isEnabled, string sortBy );
        IList<Manufacturer> GetAll(
            Culture culture,
             string sortBy,
             BoolFilter isEnabled,
             int startIndex,
             int endIndex,
             out int howManyItems );
        IList<TableSchemaItem> GetTableSchema();
        IList<Manufacturer> SearchManufacturer( Culture culture, string sortBy, SearchFilter searchFilter,
            BoolFilter isActive, out int howManyItems );
        void UpdateSortOrder( string[] sortedManufacturerIDs );
        Manufacturer GetOneByUrlName( Culture culture, string urlName );
    }
}
