using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Orders
{
    public class OrderCreateExtraFilter
    {
        #region Private

        private BoolFilter _paymentStatus;
        private BoolFilter _processStatus;

        private BoolFilter ConvertStringToBoolFilter( string value )
        {
            if (value == "ShowTrue")
                return BoolFilter.ShowTrue;

            if (value == "ShowFalse")
                return BoolFilter.ShowFalse;

            return BoolFilter.ShowAll;
        }

        #endregion

        #region Constructors

        public OrderCreateExtraFilter()
        {
            Clear();
        }

        public OrderCreateExtraFilter(
            string paymentStatus,
            string processStatus )
        {
            _paymentStatus = ConvertStringToBoolFilter( paymentStatus );
            _processStatus = ConvertStringToBoolFilter( processStatus );
        }

        #endregion

        #region Public Preperties

        public BoolFilter PaymentStatus { get { return _paymentStatus; } }
        public BoolFilter ProcessStatus { get { return _processStatus; } }

        #endregion

        #region Public Methods

        public void Clear()
        {
            _paymentStatus = BoolFilter.ShowAll;
            _processStatus = BoolFilter.ShowAll;
        }

        public override string ToString()
        {
            string result;
            if (_paymentStatus == BoolFilter.ShowTrue)
                result = "ShowTrue";
            else if (_paymentStatus == BoolFilter.ShowFalse)
                result = "ShowFalse";
            else
                result = "ShowAll";

            if (_processStatus == BoolFilter.ShowTrue)
                result += ", ShowTrue ";
            else if (_processStatus == BoolFilter.ShowFalse)
                result += ", ShowFalse ";
            else
                result += ", ShowAll ";

            return result;
        }

        #endregion
    }
}
