using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Configurations;

namespace Vevo.Domain.Payments
{
    public class NullPaymentOption : PaymentOption
    {
        #region Private

        private static NullPaymentOption _instance = new NullPaymentOption();

        private NullPaymentOption()
            : base( Culture.Null )
        {
        }

        #endregion


        #region Public Properties

        public static PaymentOption Instance
        {
            get { return _instance; }
        }

        public override bool IsNull
        {
            get { return true; }
        }

        #endregion


        #region Public Methods

        public override PaymentMethod CreatePaymentMethod()
        {
            return PaymentMethod.Null;
        }

        #endregion

    }
}
