using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Shipping
{
    public class ShippingPolicy
    {
        public bool RequiresResidentialStatus()
        {
            // Get the list of enabled real-time shipping options
            IList<ShippingOption> shippingOptions = DataAccessContext.ShippingOptionRepository.GetShipping(
                Culture.Null, BoolFilter.ShowTrue );

            foreach (ShippingOption shippingOption in shippingOptions)
            {
                if (DataAccessContext.Configurations.GetBoolValue( "ShippingAddressMode" )
                    && (shippingOption.ShippingOptionType.TypeName == ShippingOptionType.FedExTypeName
                        || shippingOption.ShippingOptionType.TypeName == ShippingOptionType.UpsTypeName))
                {
                    return true;
                }
            }

            return false;
        }
    }
}
